# VSCode 老系统兼容补丁

## 使用说明

1. 克隆到指定位置

  ```
  git clone --depth 1 https://git.unvec.site/stevenhobs/vscode-patch ~/.vscode-patch
  ```

2. 添加执行权限 `chmod -R +751 ~/.vscode-patch`

3. 补丁VSCode应用程序 `~/.vscode-patch/patch-code.sh [VSCode App安装路径]`

4. 补丁VSCode Remote Server `~/.vscode-patch/patch-code-server.sh`

## 脚本说明

### patch-code.sh
用于补丁本地VSCode应用程序的可执行文件，修改动态链接器和库路径以兼容旧版本系统。

### patch-code-server.sh
用于补丁VSCode Remote Server的可执行文件。该脚本会：
设置环境变量，使用远程server程序自动引入补丁库，详情见<https://code.visualstudio.com/docs/remote/faq#_can-i-run-vs-code-server-on-older-linux-distributions>

使用场景：当通过VSCode Remote连接到旧版本Linux系统时，远程服务器上的vscode-server程序可能因为glibc版本不兼容而无法运行，此脚本可以解决该问题。
